cURL
curl --request GET \ --url https://backend.revyl.ai/api/v1/apps/builds/{version_id}/runs \ --header 'Authorization: Bearer <token>'
{ "total": 123, "page": 123, "page_size": 123, "total_pages": 123, "has_next": true, "has_previous": true, "items": [ { "execution_id": "<string>", "test_id": "<string>", "test_name": "<string>", "status": "<string>", "success": true, "started_at": "2023-11-07T05:31:56Z", "completed_at": "2023-11-07T05:31:56Z", "execution_time_seconds": 123, "source": "<string>", "resolved_build_version": "<string>", "metadata": {}, "report_metadata": {} } ] }
Get exact-attributed run history for a build.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Page number (1-indexed)
x >= 1
Number of items per page (max 100)
1 <= x <= 100
Successful Response
Show child attributes